Get a file
Get a file. This endpoint returns an S3 URL, from which you can download the file contents.
Note: URL is valid for 1 hour after being returned from this endpoint. It should not be stored persistently for later use.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
file_id
The ID of the file
Response headers
Content-Location
The S3 URL from which the file contents can be downloaded
Response
OK
errorMessage
uploadStatus
Allowed values:
archiveRecord
ArchiveRecord Resource if the file is archived. This is null if the file is not archived.
createdAt
Date and time the file was created
creator
UserSummary of the user who created the file
customFields
Custom field values of the file
displayId
User-friendly ID of the file
filename
folderId
ID of the folder that contains the file
id
modifiedAt
Date and time the file was last modified
name
Errors
403
Forbidden Error
404
Not Found Error